Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.StateFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.StateFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.StateFlag

extends java.lang.Enum
implements QtEnumerator

This enum type defines bit flags that can be combined to indicate the state of an accessible object. The values are: Implementations of `QAccessibleInterface::state()` return a combination of these flags.

See Also:
  Serialized Form

Field Summary
`static QAccessible.StateFlag` | `Animated` The object's appearance changes frequently.
`static QAccessible.StateFlag` | `Busy` The object cannot accept input at the moment.
`static QAccessible.StateFlag` | `Checked` The object's check box is checked.
`static QAccessible.StateFlag` | `Collapsed` The object is collapsed, e.g.
`static QAccessible.StateFlag` | `DefaultButton` The object represents the default button in a dialog.
`static QAccessible.StateFlag` | `Expanded` The object is expandable, and currently the children are visible.
`static QAccessible.StateFlag` | `ExtSelectable` The object supports extended selection.
`static QAccessible.StateFlag` | `Focusable` The object can receive focus.
`static QAccessible.StateFlag` | `Focused` The object has keyboard focus.
`static QAccessible.StateFlag` | `HasInvokeExtension`
`static QAccessible.StateFlag` | `HasPopup` The object opens a popup.
`static QAccessible.StateFlag` | `HotTracked` The object's appearance is sensitive to the mouse cursor position.
`static QAccessible.StateFlag` | `Invisible` The object is not visible to the user.
`static QAccessible.StateFlag` | `Linked` The object is linked to another object, e.g.
`static QAccessible.StateFlag` | `Marqueed` The object displays scrolling contents, e.g.
`static QAccessible.StateFlag` | `Mixed` The state of the object is not determined, e.g.
`static QAccessible.StateFlag` | `Modal` The object blocks input from other objects.
`static QAccessible.StateFlag` | `Movable` The object can be moved.
`static QAccessible.StateFlag` | `MultiSelectable` The object supports multiple selected items.
`static QAccessible.StateFlag` | `Normal` The normal state.
`static QAccessible.StateFlag` | `Offscreen` The object is clipped by the visible area.
`static QAccessible.StateFlag` | `Pressed` The object is pressed.
`static QAccessible.StateFlag` | `Protected` The object is password protected, e.g.
`static QAccessible.StateFlag` | `ReadOnly` The object can usually be edited, but is explicitly set to read-only.
`static QAccessible.StateFlag` | `Selectable` The object is selectable.
`static QAccessible.StateFlag` | `Selected` The object is selected.
`static QAccessible.StateFlag` | `SelfVoicing` The object describes itself through speech or sound.
`static QAccessible.StateFlag` | `Sizeable` The object can be resized, e.g.
`static QAccessible.StateFlag` | `Traversed` The object is linked and has been visited.
`static QAccessible.StateFlag` | `Unavailable` The object is unavailable to the user, e.g.

Method Summary
`static QAccessible.State` | `createQFlags(QAccessible.StateFlag[] values)` This function creates a com.trolltech.qt.gui.QAccessible$State with the specified `com.trolltech.qt.gui.QAccessible$StateFlag[]` QAccessible$StateFlag values set.
`static QAccessible.StateFlag` | `resolve(int value)` Returns the QAccessible$StateFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.StateFlag` | `valueOf(java.lang.String name)`
`static QAccessible.StateFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Normal

    public static final QAccessible.StateFlag Normal

  The normal state.

### Unavailable

    public static final QAccessible.StateFlag Unavailable

  The object is unavailable to the user, e.g. a disabled widget.

### Selected

    public static final QAccessible.StateFlag Selected

  The object is selected.

### Focused

    public static final QAccessible.StateFlag Focused

  The object has keyboard focus.

### Pressed

    public static final QAccessible.StateFlag Pressed

  The object is pressed.

### Checked

    public static final QAccessible.StateFlag Checked

  The object's check box is checked.

### Mixed

    public static final QAccessible.StateFlag Mixed

  The state of the object is not determined, e.g. a tri-state check box that is neither checked nor unchecked.

### ReadOnly

    public static final QAccessible.StateFlag ReadOnly

  The object can usually be edited, but is explicitly set to read-only.

### HotTracked

    public static final QAccessible.StateFlag HotTracked

  The object's appearance is sensitive to the mouse cursor position.

### DefaultButton

    public static final QAccessible.StateFlag DefaultButton

  The object represents the default button in a dialog.

### Expanded

    public static final QAccessible.StateFlag Expanded

  The object is expandable, and currently the children are visible.

### Collapsed

    public static final QAccessible.StateFlag Collapsed

  The object is collapsed, e.g. a closed listview item, or an iconified window.

### Busy

    public static final QAccessible.StateFlag Busy

  The object cannot accept input at the moment.

### Marqueed

    public static final QAccessible.StateFlag Marqueed

  The object displays scrolling contents, e.g. a log view.

### Animated

    public static final QAccessible.StateFlag Animated

  The object's appearance changes frequently.

### Invisible

    public static final QAccessible.StateFlag Invisible

  The object is not visible to the user.

### Offscreen

    public static final QAccessible.StateFlag Offscreen

  The object is clipped by the visible area. Objects that are off screen are also invisible.

### Sizeable

    public static final QAccessible.StateFlag Sizeable

  The object can be resized, e.g. top-level windows.

### Movable

    public static final QAccessible.StateFlag Movable

  The object can be moved.

### SelfVoicing

    public static final QAccessible.StateFlag SelfVoicing

  The object describes itself through speech or sound.

### Focusable

    public static final QAccessible.StateFlag Focusable

  The object can receive focus. Only objects in the active window can receive focus.

### Selectable

    public static final QAccessible.StateFlag Selectable

  The object is selectable.

### Linked

    public static final QAccessible.StateFlag Linked

  The object is linked to another object, e.g. a hyperlink.

### Traversed

    public static final QAccessible.StateFlag Traversed

  The object is linked and has been visited.

### MultiSelectable

    public static final QAccessible.StateFlag MultiSelectable

  The object supports multiple selected items.

### ExtSelectable

    public static final QAccessible.StateFlag ExtSelectable

  The object supports extended selection.

### Protected

    public static final QAccessible.StateFlag Protected

  The object is password protected, e.g. a line edit for entering a Password.

### HasPopup

    public static final QAccessible.StateFlag HasPopup

  The object opens a popup.

### Modal

    public static final QAccessible.StateFlag Modal

  The object blocks input from other objects.

### HasInvokeExtension

    public static final QAccessible.StateFlag HasInvokeExtension

Method Detail

### values

    public static QAccessible.StateFlag[] values()

### valueOf

    public static QAccessible.StateFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAccessible.State createQFlags(QAccessible.StateFlag[] values)

  This function creates a com.trolltech.qt.gui.QAccessible$State with the specified `com.trolltech.qt.gui.QAccessible$StateFlag[]` QAccessible$StateFlag values set.

### resolve

    public static QAccessible.StateFlag resolve(int value)

  Returns the QAccessible$StateFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD